function [decoded] = bruteforce_decoding_75(z,num_bits);
%brute force decoding of [7,5]

%matrix with all possible input sequences
bits_matrix = dec2bin(0:2^num_bits - 1)-'0';

for inputs = 0:(2^num_bits - 1)
    %generate codeword for particular input sequence
    codeword = encode_75_function(bits_matrix(inputs+1,:));
    
    %compute distance between received vector and codeword
    distance(inputs+1)=norm(z-codeword);
    
end;

%find codeword closest to received vector
[temp1 temp2] = min(distance);

decoded = bits_matrix(temp2,:);